<script>
  import { scaleLinear, scaleLog } from 'd3-scale';
  import { extent } from 'd3-array';
	import { json } from "d3-fetch";
	import { onMount } from "svelte";
  import City from './_design_1_City.svelte';

  const width = 600;
  const height = 550;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  let city = ['Baltimore'];

  let cities = [
		'Baltimore',
		'Chicago',
		'Los Angeles'
	];
  
  $: scale = ['Per Building Type'];
  let scales = [
    'Per Building Type',
    'All Building Types',
  ];

  let datapoints = [];
	onMount(async () => {
		datapoints = await json("/data/hourly_heating_december.json");
  });

  let datav2 = {}
	$: {
			datapoints.forEach((d) => {
				if ( !(d.city in datav2)) {
					datav2[d.city] = {};
				}
				if ( !(d.day in datav2[d.city])) {
					datav2[d.city][d.buildingtype] = [];
				}
				if ( !(d.total_heating_energy in datav2[d.city][d.buildingtype])) {
				    datav2[d.city][d.buildingtype]['total_heating_energy'] = []
				}

			})
			datapoints.forEach((d) => {
				datav2[d.city][d.buildingtype]['total_heating_energy'].push(d.total_heating_energy)
			})
	}

  $: yScaleAll = scaleLinear().domain(extent(datapoints.map((d) => d.total_heating_energy))).range([1, height/19]);
  
</script>

<p>
 
  <span>
  <h1>City</h1>
  </span> 

<span>

<div>

  <!-- buttons  -->
<div class="form-check">
  <input class="form-check-input" type="radio" bind:group={city} name="city" value="Baltimore" id="flexRadioDefault1">
  <label class="form-check-label" for="flexRadioDefault1">
    Baltimore
  </label>
</div>
<div class="form-check">
  <input class="form-check-input" type="radio" bind:group={city} name="city" value="Chicago" id="flexRadioDefault2" checked>
  <label class="form-check-label" for="flexRadioDefault2">
    Chicago
  </label>
</div>
<div class="form-check">
  <input class="form-check-input" type="radio" bind:group={city} name="city" value="Los Angeles" id="flexRadioDefault2" checked>
  <label class="form-check-label" for="flexRadioDefault2">
    Los Angeles
  </label>
</div>

</div>
</span>
<span>
<h1>Scaling</h1>
<div>
<div class="form-check">
  <input class="form-check-input" type="radio" bind:group={scale} name="scale" value="Per Building Type" id="flexRadioDefault1">
  <label class="form-check-label" for="flexRadioDefault1">
    Per Building Type
  </label>
</div>
<div class="form-check">
  <input class="form-check-input" type="radio" bind:group={scale} name="scale" value="All Building Types" id="flexRadioDefault2">
  <label class="form-check-label" for="flexRadioDefault2">
    All Building Types
  </label>
</div>

</div>
</span></p>


<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    <text x={width/2-70} y={margin.top} class="cool">{city}</text>
    <City data={datav2[city]} {scale} {width} {height} {yScaleAll} />
  </g>
</svg>

<style>
  p span {
  display: block;
  }
  h1 {
    color: black;
    font-size: 20px;
    font-weight: bold;
    font-family: Courier;
  }
  h2 {
    color: black;
    font-size: 30px;
    font-weight: bold;
    font-family: Courier;
  }
  .cool {
        fill: black;
        font-size: 18px;
        font-family: Courier
    }
  svg {
    border: 1px solid black;
    border-radius: 5px;
    
  }
  label {
    color: black;
    font-size: 14px;
    vertical-align: middle;
    font-family: Courier
  }
  input {
    color: black;
    stroke: black;
    fill: black;
    vertical-align: baseline;
  }
  
</style>
